# Advanced porting

This section is for advanced porting operations, like on demand activating numbers, getting available numbers for activation, and more.
If you are looking for basic porting operations like creating an order, checking portability, and more, please refer to the Port-in numbers section.

 - [Scheduled ports](https://developers.sinch.com/docs/numbers/api-reference/porting/advanced-porting/scheduled-ports.md): ### Scheduled ports The recommended way to port numbers to Sinch is to schedule the port, this means that you create an order and specify a desired port date and time, this is the date you want the nu
 - [On demand ports](https://developers.sinch.com/docs/numbers/api-reference/porting/advanced-porting/on-demand-ports.md): ### On demand ports If you need to control your self when a number is activated you can use on demand ports, that means as soon as the number is confirmed you can activate it when you want. And we tak
 - [Activation groups](https://developers.sinch.com/docs/numbers/api-reference/porting/advanced-porting/activation-groups.md): ### Activation groups When you create a port in order we assign an activating group on the numbers, the grouping is by carrier so if you have a large port-in order from multiple different carriers you
 - [On demand activation](https://developers.sinch.com/docs/numbers/api-reference/porting/advanced-porting/on-demand-activation.md): ### On demand activation When you set up an order with onDemandActivation set to true, you can activate the numbers when you want. This is useful if you want to control when the numbers are activated.
 - [GET /orders/portIns/{orderId}/availableActivations](https://developers.sinch.com/docs/numbers/api-reference/porting/advanced-porting/getportinavailableactivation.md): Retrieve Port-In Order Available Activation Groups This operation allows you to get a list of phone number groups currently available for activation on a port-in order. FOC (portDate) must be today or
 - [POST /orders/portIns/{orderId}/activate](https://developers.sinch.com/docs/numbers/api-reference/porting/advanced-porting/activateportin.md): Activate numbers that are ready to be ported. Confirmation date (FOC) must be today or earlier, and the numbers must be in routing on the Sinch network (occurs at midnight on the date of the port, aft
